Bug 219928 - sysutils/garcon: Update to 0.6.1
Summary: sysutils/garcon: Update to 0.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: xfce
URL:
Keywords: patch-ready
Depends on:
Blocks: 219334 219347 220071 220290 221265 222161
  Show dependency treegraph
 
Reported: 2017-06-11 15:24 UTC by Olivier Duchateau
Modified: 2017-09-18 14:19 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
Patch to update sysutils/garcon (40.29 KB, patch)
2017-06-11 15:24 UTC, Olivier Duchateau
no flags Details | Diff
Patch to update sysutils/garcon (4.59 KB, patch)
2017-06-13 17:05 UTC, Olivier Duchateau
no flags Details | Diff
Patch to update sysutils/garcon (7.00 KB, patch)
2017-09-09 19:55 UTC, Olivier Duchateau
no flags Details | Diff
garcon patch with mandatory GTK2 (6.51 KB, patch)
2017-09-16 20:00 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2017-06-11 15:24:20 UTC
Created attachment 183404 [details]
Patch to update sysutils/garcon

- Update to 0.6.1
- Add GTK2 option (it is required by xfce4-whiskermenu-plugin and xfce4-panel)
- Sort USES
- Adjust dependencies (reported by QA script)
- Regenerate configure patch (with 'make makepatch')

Note: Mk/Scripts/smart_makepatch.sh seems bogus, it can't apply cleanly garcon-gtk/Makefile.in, that's why it's copied in 'post-extract' target.
Comment 1 Olivier Duchateau 2017-06-13 17:05:14 UTC
Created attachment 183454 [details]
Patch to update sysutils/garcon

New patch, which replaces Makefile.in by an optional extra build target (I think it's better IMHO). Moreover update description in pkg-descr.
Comment 2 Olivier Duchateau 2017-09-09 19:55:16 UTC
Created attachment 186207 [details]
Patch to update sysutils/garcon

New diff, with upstream patch (fixes resize of some icons).
Comment 3 Guido Falsi freebsd_committer 2017-09-16 20:00:23 UTC
Created attachment 186437 [details]
garcon patch with mandatory GTK2

While testing with non standard options I noticed that disabling GTK2 causes failures in other ports, due to the fact that we don't have direct control on the options chosen by the user.

Since XFCE is anyway using a mix of GTK2 and GTK3 it's reasonable to force both options to be compiled, that was the default anyway.

I'll be committing this version of the patch for the time being.
Comment 4 Olivier Duchateau 2017-09-16 20:45:20 UTC
(In reply to Guido Falsi from comment #3)

I disagree with you in configure script Gtk2 is optional. I know Gtk2 support is required by some others applications, that's why it is set by default. 

Users which change default option, they known what they are doing. Usually in Xfce ports default options are safe for end users.

By the way commit what seems best to you.
Comment 5 Guido Falsi freebsd_committer 2017-09-16 20:59:37 UTC
(In reply to Olivier Duchateau from comment #4)
> (In reply to Guido Falsi from comment #3)
> 
> I disagree with you in configure script Gtk2 is optional. I know Gtk2
> support is required by some others applications, that's why it is set by
> default. 
> 
> Users which change default option, they known what they are doing. Usually
> in Xfce ports default options are safe for end users.
> 

Adding an option which, when enabled, will cause ports to break in non obvious ways is something which should be avoided, and I don't feel comfortable doing.

While users changing option should know what they are doing that's no reason to leave open trapdoors on the floor.

This problem could be solved by providing separate ports for the gtk2 and gtk3 versions, so each port can depend on what it actually needs, or slave ports, but that comes with it's share of problems due to conflicts.

Unluckily garcon does not seem to support such a scenario.

The ports failing without the GTK2 option are quite a few, and also basic ones like panel, so I don't see a scenario for disabling it, but I can see users disabling it and not understanding why their builds fail.

> By the way commit what seems best to you.

Thanks.
Comment 6 commit-hook freebsd_committer 2017-09-18 14:17:28 UTC
A commit references this bug:

Author: madpilot
Date: Mon Sep 18 14:17:16 UTC 2017
New revision: 450042
URL: https://svnweb.freebsd.org/changeset/ports/450042

Log:
  - Update sysutils/garcon to 0.6.1 [1]
  - Differentiate between gtk2 and gtk3 libraries in Uses/xfce.mk [2]

  PR:			219334 [2], 219928 [1]
  Submitted by:		Olivier Duchateau <duchateau.olivier@gmail.com>
  Differential Revision:	D12387 [1] [2]

Changes:
  head/Mk/Uses/xfce.mk
  head/sysutils/garcon/Makefile
  head/sysutils/garcon/distinfo
  head/sysutils/garcon/files/patch-configure
  head/sysutils/garcon/files/patch-garcon-gtk_garcon-gtk-menu.c
  head/sysutils/garcon/pkg-descr
  head/sysutils/garcon/pkg-plist
Comment 7 Guido Falsi freebsd_committer 2017-09-18 14:19:12 UTC
Committed. Thanks!